Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown
Enum VersionEnum

    java.lang.Object
      java.lang.Enum<VersionEnum>
          org.pdfclown.VersionEnum

All Implemented Interfaces:
  Serializable, Comparable<VersionEnum>

    public enum VersionEnum

extends Enum<VersionEnum>

Managed PDF version number [PDF:1.6:H.1].

Since:
  0.1.0
Version:
  0.1.0
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)
See Also:
  `Version`

Enum Constant Summary
`PDF10` Version 1.0 (1993, Acrobat 1).
`PDF11` Version 1.1 (1996, Acrobat 2).
`PDF12` Version 1.2 (1996, Acrobat 3).
`PDF13` Version 1.3 (2000, Acrobat 4).
`PDF14` Version 1.4 (2001, Acrobat 5).
`PDF15` Version 1.5 (2003, Acrobat 6).
`PDF16` Version 1.6 (2004, Acrobat 7).
`PDF17` Version 1.7 (2006, Acrobat 8).

Method Summary
`Version` | `getVersion()`
`static VersionEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VersionEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PDF10

    public static final VersionEnum PDF10

  Version 1.0 (1993, Acrobat 1).

### PDF11

    public static final VersionEnum PDF11

  Version 1.1 (1996, Acrobat 2).

### PDF12

    public static final VersionEnum PDF12

  Version 1.2 (1996, Acrobat 3).

### PDF13

    public static final VersionEnum PDF13

  Version 1.3 (2000, Acrobat 4).

### PDF14

    public static final VersionEnum PDF14

  Version 1.4 (2001, Acrobat 5).

### PDF15

    public static final VersionEnum PDF15

  Version 1.5 (2003, Acrobat 6).

### PDF16

    public static final VersionEnum PDF16

  Version 1.6 (2004, Acrobat 7).

### PDF17

    public static final VersionEnum PDF17

  Version 1.7 (2006, Acrobat 8).

Method Detail

### values

    public static VersionEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (VersionEnum c : VersionEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static VersionEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getVersion

    public Version getVersion()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.